import pygame
from data import filepath

class Sound:
    def __init__(self, filename):
        self.sound = pygame.mixer.Sound(filepath(filename))

    def play(self, volume):
        c = pygame.mixer.find_channel(True)
        c.stop()
        vl = vr = volume
        c.set_volume(vl, vr)
        c.play(self.sound)