from __future__ import division
import game
from math import *
from body import Body
from tile import Tile
from vector import Vector
import random

import OpenGL
from OpenGL.GL import *

class Sprite(Body):
    def __init__(self, id, type, cx, cz, above_ground):
        Body.__init__(self)
        self.map = game.game.map
        self.type = type
        self.dx = 0
        self.dy = 0
        self.dz = 0
        tx = int(floor(cx))
        tz = int(floor(cz))
        c, z = self.map.get(tx, tz)
        self.position = Vector(
            cx * Tile.w,
            above_ground - self.map.getz(c, z, cx - tx, cz - tz),
            cz * Tile.h)
        self.tx = tx
        self.tz = tz
        self.id = id
        self.dead = False

    def update(self):
        pass

    def draw_2d(self):
        pass
    
    def draw_3d(self):
        pass
